--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: Insensitive
  value: Keywords.case_insensitive(%w{select from where group by order having}){|x|x.downcase}
- !ruby/object:RI::Constant 
  comment: 
  name: Sensitive
  value: Keywords.case_sensitive(%w{new delete if else then void int}){|x|x}
full_name: KeywordTestCase
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: testBasics
- !ruby/object:RI::MethodSummary 
  name: testCaseInsensitiveKeywords
- !ruby/object:RI::MethodSummary 
  name: testCaseSensitiveKeywords
- !ruby/object:RI::MethodSummary 
  name: verifyInsensitiveKeyword
- !ruby/object:RI::MethodSummary 
  name: verifySensitiveKeyword
name: KeywordTestCase
superclass: ParserTestCase
